com.creamtec.ajaxswing

## Class ClientAgentImpl_Stub

- java.lang.Object
- - java.rmi.server.RemoteObject
  - - java.rmi.server.RemoteStub
    - - com.creamtec.ajaxswing.ClientAgentImpl_Stub

- All Implemented Interfaces:
    ClientAgentRemote, java.io.Serializable, java.rmi.Remote

      public final class ClientAgentImpl_Stub
      extends java.rmi.server.RemoteStub
      implements ClientAgentRemote, java.rmi.Remote

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientAgentImpl_Stub()`
    `ClientAgentImpl_Stub(java.rmi.server.RemoteRef ref)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `denyDownload(java.io.File $param_File_1)` Remove download file from session by File
    `void` | `denyDownload(java.lang.String $param_String_1)` Remove download file from session by name
    `java.lang.String` | `getBrowserLocale()`
    `java.lang.String` | `getCsrfToken()`
    `java.lang.String` | `getExitPage()`
    `double` | `getFontCalibrationData(java.lang.String $param_String_1, int $param_int_2, boolean $param_boolean_3)`
    `AjaxSwingProperties` | `getProps()`
    `long` | `getSessionTimeout()`
    `java.util.List` | `getTempFiles()`
    `java.util.Locale` | `getUserLocale()`
    `void` | `init(AgentInitData $param_AgentInitData_1, HttpRequestData $param_HttpRequestData_2)` Initializes the client
    `boolean` | `isDownloadAllowed(java.lang.String $param_String_1)` Returns true if the download of the given file name is allowed
    `void` | `ping()` Renews a lease on the agent.
    `HttpResponseData` | `processHttpRequest(HttpRequestData $param_HttpRequestData_1)` Processes HTTP request
    `void` | `removeDownloadFileName(java.lang.String $param_String_1)` Remove download file from map where we wait files for download while them doesn't ready
    `HttpResponseData` | `renderWindows(HttpRequestData $param_HttpRequestData_1)` Renderes the currently focused window as HTML
    `void` | `runApp(boolean $param_boolean_1)` Runs the application/applet.
    `void` | `setBrowserLocale(java.lang.String $param_String_1)`
    `void` | `setExitPage(java.lang.String $param_String_1)`
    `void` | `setFontCalibrationData(java.lang.String $param_String_1)`
    `void` | `setSessionTimeout(long $param_long_1)`
    `void` | `setShouldChangeSessionId(boolean $param_boolean_1)`
    `void` | `setUserLocale(java.util.Locale $param_Locale_1)`
    `boolean` | `shouldChangeSessionId()`
    `void` | `shutdown()` Terminates the client JVM

    - ### Methods inherited from class java.rmi.server.RemoteObject

      `equals, getRef, hashCode, toString, toStub`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientAgentImpl_Stub

          public ClientAgentImpl_Stub()

    - #### ClientAgentImpl_Stub

          public ClientAgentImpl_Stub(java.rmi.server.RemoteRef ref)

  - ### Method Detail

    - #### denyDownload

          public void denyDownload(java.io.File $param_File_1)
                            throws java.rmi.RemoteException

      Description copied from interface: `ClientAgentRemote`
      Remove download file from session by File
      Specified by:
        `denyDownload` in interface `ClientAgentRemote`
      Throws:
        `java.rmi.RemoteException`

    - #### denyDownload

          public void denyDownload(java.lang.String $param_String_1)
                            throws java.rmi.RemoteException

      Description copied from interface: `ClientAgentRemote`
      Remove download file from session by name
      Specified by:
        `denyDownload` in interface `ClientAgentRemote`
      Throws:
        `java.rmi.RemoteException`

    - #### getBrowserLocale

          public java.lang.String getBrowserLocale()
                                            throws java.rmi.RemoteException

      Specified by:
        `getBrowserLocale` in interface `ClientAgentRemote`
      Throws:
        `java.rmi.RemoteException`

    - #### getCsrfToken

          public java.lang.String getCsrfToken()
                                        throws java.rmi.RemoteException

      Specified by:
        `getCsrfToken` in interface `ClientAgentRemote`
      Throws:
        `java.rmi.RemoteException`

    - #### getExitPage

          public java.lang.String getExitPage()
                                       throws java.rmi.RemoteException

      Specified by:
        `getExitPage` in interface `ClientAgentRemote`
      Throws:
        `java.rmi.RemoteException`

    - #### getFontCalibrationData

          public double getFontCalibrationData(java.lang.String $param_String_1,
                                      int $param_int_2,
                                      boolean $param_boolean_3)
                                        throws java.rmi.RemoteException

      Specified by:
        `getFontCalibrationData` in interface `ClientAgentRemote`
      Throws:
        `java.rmi.RemoteException`

    - #### getProps

          public AjaxSwingProperties getProps()
                                       throws java.rmi.RemoteException

      Specified by:
        `getProps` in interface `ClientAgentRemote`
      Throws:
        `java.rmi.RemoteException`

    - #### getSessionTimeout

          public long getSessionTimeout()
                                 throws java.rmi.RemoteException

      Specified by:
        `getSessionTimeout` in interface `ClientAgentRemote`
      Throws:
        `java.rmi.RemoteException`

    - #### getTempFiles

          public java.util.List getTempFiles()
                                      throws java.rmi.RemoteException

      Specified by:
        `getTempFiles` in interface `ClientAgentRemote`
      Throws:
        `java.rmi.RemoteException`

    - #### getUserLocale

          public java.util.Locale getUserLocale()
                                         throws java.rmi.RemoteException

      Specified by:
        `getUserLocale` in interface `ClientAgentRemote`
      Throws:
        `java.rmi.RemoteException`

    - #### init

          public void init(AgentInitData $param_AgentInitData_1,
                  HttpRequestData $param_HttpRequestData_2)
                    throws java.lang.Exception,
                           java.rmi.RemoteException

      Description copied from interface: `ClientAgentRemote`
      Initializes the client
      Specified by:
        `init` in interface `ClientAgentRemote`
      Throws:
        `java.lang.Exception`
        `java.rmi.RemoteException`

    - #### isDownloadAllowed

          public boolean isDownloadAllowed(java.lang.String $param_String_1)
                                    throws java.rmi.RemoteException

      Description copied from interface: `ClientAgentRemote`
      Returns true if the download of the given file name is allowed
      Specified by:
        `isDownloadAllowed` in interface `ClientAgentRemote`
      Throws:
        `java.rmi.RemoteException`

    - #### ping

          public void ping()
                    throws java.lang.Exception,
                           java.rmi.RemoteException

      Description copied from interface: `ClientAgentRemote`
      Renews a lease on the agent. Used to keep warmedUp JVM running
      Specified by:
        `ping` in interface `ClientAgentRemote`
      Throws:
        `java.lang.Exception`
        `java.rmi.RemoteException`

    - #### processHttpRequest

          public HttpResponseData processHttpRequest(HttpRequestData $param_HttpRequestData_1)
                                              throws java.lang.Exception,
                                                     java.rmi.RemoteException

      Description copied from interface: `ClientAgentRemote`
      Processes HTTP request
      Specified by:
        `processHttpRequest` in interface `ClientAgentRemote`
      Returns:
        HTTP response, containing HTML page to be displayed
      Throws:
        `java.lang.Exception`
        `java.rmi.RemoteException`

    - #### removeDownloadFileName

          public void removeDownloadFileName(java.lang.String $param_String_1)
                                      throws java.rmi.RemoteException

      Description copied from interface: `ClientAgentRemote`
      Remove download file from map where we wait files for download while them doesn't ready
      Specified by:
        `removeDownloadFileName` in interface `ClientAgentRemote`
      Throws:
        `java.rmi.RemoteException`

    - #### renderWindows

          public HttpResponseData renderWindows(HttpRequestData $param_HttpRequestData_1)
                                         throws java.lang.Exception,
                                                java.rmi.RemoteException

      Description copied from interface: `ClientAgentRemote`
      Renderes the currently focused window as HTML
      Specified by:
        `renderWindows` in interface `ClientAgentRemote`
      Returns:
        HTTP response, containing HTML page to be displayed
      Throws:
        `java.lang.Exception`
        `java.rmi.RemoteException`

    - #### runApp

          public void runApp(boolean $param_boolean_1)
                      throws AjaxSwingException,
                             java.rmi.RemoteException

      Description copied from interface: `ClientAgentRemote`
      Runs the application/applet. Can be used to preload app classes
      Specified by:
        `runApp` in interface `ClientAgentRemote`
      Throws:
        `AjaxSwingException`
        `java.rmi.RemoteException`

    - #### setBrowserLocale

          public void setBrowserLocale(java.lang.String $param_String_1)
                                throws java.rmi.RemoteException

      Specified by:
        `setBrowserLocale` in interface `ClientAgentRemote`
      Throws:
        `java.rmi.RemoteException`

    - #### setExitPage

          public void setExitPage(java.lang.String $param_String_1)
                           throws java.rmi.RemoteException

      Specified by:
        `setExitPage` in interface `ClientAgentRemote`
      Throws:
        `java.rmi.RemoteException`

    - #### setFontCalibrationData

          public void setFontCalibrationData(java.lang.String $param_String_1)
                                      throws java.rmi.RemoteException

      Specified by:
        `setFontCalibrationData` in interface `ClientAgentRemote`
      Throws:
        `java.rmi.RemoteException`

    - #### setSessionTimeout

          public void setSessionTimeout(long $param_long_1)
                                 throws java.rmi.RemoteException

      Specified by:
        `setSessionTimeout` in interface `ClientAgentRemote`
      Throws:
        `java.rmi.RemoteException`

    - #### setShouldChangeSessionId

          public void setShouldChangeSessionId(boolean $param_boolean_1)
                                        throws java.rmi.RemoteException

      Specified by:
        `setShouldChangeSessionId` in interface `ClientAgentRemote`
      Throws:
        `java.rmi.RemoteException`

    - #### setUserLocale

          public void setUserLocale(java.util.Locale $param_Locale_1)
                             throws java.rmi.RemoteException

      Specified by:
        `setUserLocale` in interface `ClientAgentRemote`
      Throws:
        `java.rmi.RemoteException`

    - #### shouldChangeSessionId

          public boolean shouldChangeSessionId()
                                        throws java.rmi.RemoteException

      Specified by:
        `shouldChangeSessionId` in interface `ClientAgentRemote`
      Throws:
        `java.rmi.RemoteException`

    - #### shutdown

          public void shutdown()
                        throws java.rmi.RemoteException

      Description copied from interface: `ClientAgentRemote`
      Terminates the client JVM
      Specified by:
        `shutdown` in interface `ClientAgentRemote`
      Throws:
        `java.rmi.RemoteException`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.